Skip to contents

# Estimate Triangular Parameters

Source: `R/est-param-triangular.R`
`util_triangular_param_estimate.Rd`

This function will attempt to estimate the triangular min, mode, and max parameters given some vector of values.

The function will return a list output by default, and if the parameter `.auto_gen_empirical` is set to `TRUE` then the empirical data given to the parameter `.x` will be run through the `tidy_empirical()` function and combined with the estimated beta data.

## Usage

    util_triangular_param_estimate(.x, .auto_gen_empirical = TRUE)

## Arguments

.x

  The vector of data to be passed to the function. Must be numeric, and all values must be 0 <= x <= 1

.auto_gen_empirical

  This is a boolean value of TRUE/FALSE with default set to TRUE. This will automatically create the `tidy_empirical()` output for the `.x` parameter and use the `tidy_combine_distributions()`. The user can then plot out the data using `$combined_data_tbl` from the function output.

## Value

A tibble/list

## Details

This function will attempt to estimate the triangular min, mode, and max parameters given some vector of values.

## See also

Other Parameter Estimation: `util_bernoulli_param_estimate()`, `util_beta_param_estimate()`, `util_binomial_param_estimate()`, `util_burr_param_estimate()`, `util_cauchy_param_estimate()`, `util_exponential_param_estimate()`, `util_gamma_param_estimate()`, `util_geometric_param_estimate()`, `util_hypergeometric_param_estimate()`, `util_logistic_param_estimate()`, `util_lognormal_param_estimate()`, `util_negative_binomial_param_estimate()`, `util_normal_param_estimate()`, `util_pareto_param_estimate()`, `util_poisson_param_estimate()`, `util_uniform_param_estimate()`, `util_weibull_param_estimate()`

Other Triangular: `tidy_triangular()`, `util_triangular_stats_tbl()`

## Author

Steven P. Sanderson II, MPH

## Examples

    library(dplyr)
    library(ggplot2)

    x <- mtcars$mpg
    output <- util_triangular_param_estimate(x)

    output$parameter_tbl
    #> # A tibble: 1 × 6
    #>   dist_type  samp_size   min   max  mode method
    #>   <chr>          <int> <dbl> <dbl> <dbl> <chr>
    #> 1 Triangular        32  10.4  33.9  33.9 Basic

    output$combined_data_tbl |>
      tidy_combined_autoplot()

    params <- tidy_triangular()$y |>
      util_triangular_param_estimate()
    params$parameter_tbl
    #> # A tibble: 1 × 6
    #>   dist_type  samp_size   min   max  mode method
    #>   <chr>          <int> <dbl> <dbl> <dbl> <chr>
    #> 1 Triangular        50 0.124 0.945 0.945 Basic